#!/bin/sh

[ ! -d "$HOME/Pictures/Screenshots" ] && mkdir -p ~/Pictures/Screenshots
SAVEPATH="$HOME/Pictures/Screenshots/$(date +'%Y-%m-%d-%H%M%S_grim.png')"

case $1 in
  --full)
      grim "${SAVEPATH}"
      notify-send -i "$HOME/.config/{{ notification }}/photograph.png" "Screenshot taken..."
      ;;
  --region)
      GEOMETRY=$(slurp)
      grim -g "${GEOMETRY}" "${SAVEPATH}"
      notify-send -i "$HOME/.config/{{ notification }}/photograph.png" "Screenshot taken..."
      ;;
  --full-optional)
      grim - | swappy -f -
      ;;
  --region-optional)
      GEOMETRY=$(slurp)
      grim -g "${GEOMETRY}" - | swappy -f -
      ;;
  --full-copy)
      grim - | wl-copy
      notify-send -i "$HOME/.config/{{ notification }}/photograph.png" "Screenshot copied..."
      ;;
  --region-copy)
      GEOMETRY=$(slurp)
      grim -g "${GEOMETRY}" - | wl-copy
      notify-send -i "$HOME/.config/{{ notification }}/photograph.png" "Screenshot copied..."
      ;;
  *)
      ;;
esac
